Bug 1124558 - [abrt] libpurple: purple-remote:40:__call__:Exception: Error: PurpleAccountsFindAny ('', 'prpl-prpl-sipe') returned 0
Summary: [abrt] libpurple: purple-remote:40:__call__:Exception: Error: PurpleAccountsF...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b6f4b98d5f7d754317aba2373e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 19:13 UTC by Jason
Modified: 2015-06-29 21:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:50:18 UTC


Attachments (Terms of Use)
File: backtrace (752 bytes, text/plain)
2014-07-29 19:13 UTC, Jason
no flags Details
File: environ (3.68 KB, text/plain)
2014-07-29 19:13 UTC, Jason
no flags Details

Description Jason 2014-07-29 19:13:51 UTC
Description of problem:
I am trying to run some purple-remote commands to send IMs from the command line and keep receiving these exceptions.  

me@mybox ~]# purple-remote prpl-sipe:goim?screenname=myscreename@myhost.com&message=TEST1

Traceback (most recent call last):
  File "/usr/bin/purple-remote", line 240, in <module>
    output = execute(arg)
  File "/usr/bin/purple-remote", line 128, in execute
    account = findaccount(accountname, protocol)
  File "/usr/bin/purple-remote", line 104, in findaccount
    account = cpurple.PurpleAccountsFindAny(accountname, protocolname)
  File "/usr/bin/purple-remote", line 40, in __call__
    (self.attr, args, result))
Exception: Error: PurpleAccountsFindAny ('', 'prpl-prpl-sipe') returned 0

Version-Release number of selected component:
libpurple-2.10.9-1.fc20

Additional info:
reporter:       libreport-2.2.3
cmdline:        /usr/bin/python /usr/bin/purple-remote prpl-sipe:gochat?room=APPS Team=k12jaallen=hi
executable:     /usr/bin/purple-remote
kernel:         3.14.9-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
purple-remote:40:__call__:Exception: Error: PurpleAccountsFindAny ('', 'prpl-prpl-sipe') returned 0

Traceback (most recent call last):
  File "/usr/bin/purple-remote", line 240, in <module>
    output = execute(arg)
  File "/usr/bin/purple-remote", line 136, in execute
    account = findaccount(accountname, protocol)
  File "/usr/bin/purple-remote", line 104, in findaccount
    account = cpurple.PurpleAccountsFindAny(accountname, protocolname)
  File "/usr/bin/purple-remote", line 40, in __call__
    (self.attr, args, result))
Exception: Error: PurpleAccountsFindAny ('', 'prpl-prpl-sipe') returned 0

Local variables in innermost frame:
self: <__main__.CheckedAttribute instance at 0x2744998>
args: ('', 'prpl-prpl-sipe')
result: dbus.Int32(0)

Comment 1 Jason 2014-07-29 19:13:53 UTC
Created attachment 922290 [details]
File: backtrace

Comment 2 Jason 2014-07-29 19:13:57 UTC
Created attachment 922291 [details]
File: environ

Comment 3 Fedora End Of Life 2015-05-29 12:30:36 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:50:18 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.